Skip to main content
v1

Click on the desktop.

POST /v1/desktop/mouse/click: request parameters and responses.

POST /v1/desktop/mouse/click

Performs a health-gated pointer move and click against the managed desktop and returns the resulting mouse position.

Request body

Required.

application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopMouseClickRequest"
  }
}

Related schemas: DesktopMouseClickRequest.

Responses

200

Desktop mouse position after click

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopMousePositionResponse"
  }
}

Related schemas: DesktopMousePositionResponse.

400

Invalid mouse click request

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

409

Desktop runtime is not ready

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

502

Desktop runtime health or input failed

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.